Box2D: b2MouseJoint Class Reference

| Box2D 2.4.1 A 2D physics engine for games

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
b2MouseJoint Class Reference

`#include <b2_mouse_joint.h>`

Inheritance diagram for b2MouseJoint:

## Public Member Functions
b2Vec2 | GetAnchorA () const override
| Implements b2Joint.
b2Vec2 | GetAnchorB () const override
| Implements b2Joint.
b2Vec2 | GetReactionForce (float inv_dt) const override
| Implements b2Joint.
float | GetReactionTorque (float inv_dt) const override
| Implements b2Joint.
void | SetTarget (const b2Vec2 &target)
| Use this to update the target point.
const b2Vec2 & | GetTarget () const
void | SetMaxForce (float force)
| Set/get the maximum force in Newtons.
float | GetMaxForce () const
void | SetStiffness (float stiffness)
| Set/get the linear stiffness in N/m.
float | GetStiffness () const
void | SetDamping (float damping)
| Set/get linear damping in N*s/m.
float | GetDamping () const
void | Dump () override
| The mouse joint does not support dumping.
void | ShiftOrigin (const b2Vec2 &newOrigin) override
| Implement b2Joint::ShiftOrigin.
Public Member Functions inherited from b2Joint
b2JointType | GetType () const
| Get the type of the concrete joint.
b2Body * | GetBodyA ()
| Get the first body attached to this joint.
b2Body * | GetBodyB ()
| Get the second body attached to this joint.
virtual b2Vec2 | GetAnchorA () const =0
| Get the anchor point on bodyA in world coordinates.
virtual b2Vec2 | GetAnchorB () const =0
| Get the anchor point on bodyB in world coordinates.
virtual b2Vec2 | GetReactionForce (float inv_dt) const =0
| Get the reaction force on bodyB at the joint anchor in Newtons.
virtual float | GetReactionTorque (float inv_dt) const =0
| Get the reaction torque on bodyB in N*m.
b2Joint * | GetNext ()
| Get the next joint the world joint list.
const b2Joint * | GetNext () const
b2JointUserData & | GetUserData ()
| Get the user data pointer.
const b2JointUserData & | GetUserData () const
bool | IsEnabled () const
| Short-cut function to determine if either body is enabled.
bool | GetCollideConnected () const
virtual void | Dump ()
| Dump this joint to the log file.
virtual void | ShiftOrigin (const b2Vec2 &newOrigin)
| Shift the origin for any points stored in world coordinates.
virtual void | Draw (b2Draw *draw) const
| Debug draw this joint.

## Protected Member Functions
| b2MouseJoint (const b2MouseJointDef *def)
void | InitVelocityConstraints (const b2SolverData &data) override
void | SolveVelocityConstraints (const b2SolverData &data) override
bool | SolvePositionConstraints (const b2SolverData &data) override
Protected Member Functions inherited from b2Joint
| b2Joint (const b2JointDef *def)
virtual void | InitVelocityConstraints (const b2SolverData &data)=0
virtual void | SolveVelocityConstraints (const b2SolverData &data)=0
virtual bool | SolvePositionConstraints (const b2SolverData &data)=0

## Protected Attributes
b2Vec2 | m_localAnchorB
b2Vec2 | m_targetA
float | m_stiffness
float | m_damping
float | m_beta
b2Vec2 | m_impulse
float | m_maxForce
float | m_gamma
int32 | m_indexA
int32 | m_indexB
b2Vec2 | m_rB
b2Vec2 | m_localCenterB
float | m_invMassB
float | m_invIB
b2Mat22 | m_mass
b2Vec2 | m_C
Protected Attributes inherited from b2Joint
b2JointType | m_type
b2Joint * | m_prev
b2Joint * | m_next
b2JointEdge | m_edgeA
b2JointEdge | m_edgeB
b2Body * | m_bodyA
b2Body * | m_bodyB
int32 | m_index
bool | m_islandFlag
bool | m_collideConnected
b2JointUserData | m_userData

## Friends
class | b2Joint

## Additional Inherited Members
Static Protected Member Functions inherited from b2Joint
static b2Joint * | Create (const b2JointDef *def, b2BlockAllocator *allocator)
static void | Destroy (b2Joint *joint, b2BlockAllocator *allocator)

## Detailed Description

A mouse joint is used to make a point on a body track a specified world point. This a soft constraint with a maximum force. This allows the constraint to stretch and without applying huge forces. NOTE: this joint is not documented in the manual because it was developed to be used in the testbed. If you want to learn how to use the mouse joint, look at the testbed.

## Member Function Documentation

## ◆ Dump()

void b2MouseJoint::Dump | ( |  | ) |
| inlineoverridevirtual

The mouse joint does not support dumping.

Reimplemented from b2Joint.

## ◆ GetAnchorA()

b2Vec2 b2MouseJoint::GetAnchorA | ( |  | ) | const
| overridevirtual

Implements b2Joint.

Implements b2Joint.

## ◆ GetAnchorB()

b2Vec2 b2MouseJoint::GetAnchorB | ( |  | ) | const
| overridevirtual

Implements b2Joint.

Implements b2Joint.

## ◆ GetReactionForce()

b2Vec2 b2MouseJoint::GetReactionForce | ( | float | inv_dt | ) | const
| overridevirtual

Implements b2Joint.

Implements b2Joint.

## ◆ GetReactionTorque()

float b2MouseJoint::GetReactionTorque | ( | float | inv_dt | ) | const
| overridevirtual

Implements b2Joint.

Implements b2Joint.

## ◆ InitVelocityConstraints()

void b2MouseJoint::InitVelocityConstraints | ( | const b2SolverData & | data | ) |
| overrideprotectedvirtual

Implements b2Joint.

## ◆ ShiftOrigin()

void b2MouseJoint::ShiftOrigin | ( | const b2Vec2 & | newOrigin | ) |
| overridevirtual

Implement b2Joint::ShiftOrigin.

Reimplemented from b2Joint.

## ◆ SolvePositionConstraints()

bool b2MouseJoint::SolvePositionConstraints | ( | const b2SolverData & | data | ) |
| overrideprotectedvirtual

Implements b2Joint.

## ◆ SolveVelocityConstraints()

void b2MouseJoint::SolveVelocityConstraints | ( | const b2SolverData & | data | ) |
| overrideprotectedvirtual

Implements b2Joint.

The documentation for this class was generated from the following file:

- /build/box2d/src/box2d-2.4.2/include/box2d/b2_mouse_joint.h